# IGESGeom_Array1OfCurveOnSurface.hxx File Reference

`#include <Standard_Integer.hxx>`
`#include <Standard_Address.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Handle_IGESGeom_CurveOnSurface.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`
`#include <TCollection_Array1.lxx>`

## Defines

#define | Array1Item Handle_IGESGeom_CurveOnSurface
#define | Array1Item_hxx <IGESGeom_CurveOnSurface.hxx>
#define | TCollection_Array1 IGESGeom_Array1OfCurveOnSurface
#define | TCollection_Array1_hxx <IGESGeom_Array1OfCurveOnSurface.hxx>

## Define Documentation

#define Array1Item Handle_IGESGeom_CurveOnSurface

#define Array1Item_hxx <IGESGeom_CurveOnSurface.hxx>

#define TCollection_Array1 IGESGeom_Array1OfCurveOnSurface

#define TCollection_Array1_hxx <IGESGeom_Array1OfCurveOnSurface.hxx>